EPPHostUpdate (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0705.rtk.xml.EPPHostUpdate class

### com.tucows.oxrs.epp0705.rtk.xml

# Class EPPHostUpdate

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0705.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0705.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0705.rtk.xml.EPPHostBase`
      - - `com.tucows.oxrs.epp0705.rtk.xml.EPPHostUpdate`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_HostUpdate, epp_HostUpdateOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPHostUpdate`
`extends EPPHostBase`
`implements epp_HostUpdate`

Class for the EPP Host Update command and response. Extends the epp_HostUpdate interface from the EPP IDLs to provide the XML translation for the EPP Host Update command. The Update command allows the sponsoring client to change data associated with an EPP object. Usage is demonstrated in the com.tucows.oxrs.epp0705.rtk.example.HostExample class.

See Also:
  `HostExample`, `epp_Action`, `epp_HostUpdate`, `epp_HostUpdateReq`, `epp_HostUpdateRsp`, `Host Spec for more information`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.xml.EPPHostBase
  `host_ip_to_type_hash_`, `host_status_hash_`

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPHostUpdate()` Default constructor
  `EPPHostUpdate(String xml)` Constructor with response XML string to automatically parse.

  ## Method Summary
  `void` | `fromXML(String xml)` Parses a new XML String and populates the response data member.
  `epp_HostUpdateRsp` | `getResponseData()` Accessor method for the host update response data.
  `void` | `setRequestData(epp_HostUpdateReq value)` Accessor method for the host update request data.
  `String` | `toXML()` Builds request XML from the request data.

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.xml.EPPHostBase
  `hostAddressTypeToString`, `hostStatusFromString`, `hostStatusToString`, `initHashes`, `initHostIpToTypeHash`, `initHostStatusHash`, `setCommonAttributes`

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `createXMLSnippetFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getPanData`, `getTransID`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getEasyProperty`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPHostUpdate

    public EPPHostUpdate()

> Default constructor

### EPPHostUpdate

    public EPPHostUpdate(String xml)
                throws epp_XMLException,
                       epp_Exception

> Constructor with response XML string to automatically parse.
> Parameters:
>   `xml` - The EPP Host Update response XML String
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `fromXML(String)`

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses a new XML String and populates the response data member. Implemented method from org.openrtk.idl.epp0705.epp_Action interface.
> Specified by:
>   fromXML in interface epp_ActionOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `epp_Action`

### getResponseData

    public epp_HostUpdateRsp getResponseData()

> Accessor method for the host update response data.
> Specified by:
>   getResponseData in interface epp_HostUpdateOperations
> Returns:
>   value org.openrtk.idl.epp0705.epp_HostUpdateRsp

### setRequestData

    public void setRequestData(epp_HostUpdateReq value)

> Accessor method for the host update request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_HostUpdateOperations
> Parameters:
>   `value` - org.openrtk.idl.epp0705.epp_HostUpdateReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data. Implemented method from org.openrtk.idl.epp0705.epp_Action interface.
> Specified by:
>   toXML in interface epp_ActionOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `setRequestData(epp_HostUpdateReq)`, `epp_Action`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS